# gds-checkbox - Angular

## Import

```typescript
import { GdsCheckboxComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-checkbox></gds-checkbox>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `input` | `input` | `(input)="handler($event)"` |
| `change` | `change` | `(change)="handler($event)"` |
